
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java Swing 之JTable及其简单的用法 / iVAN</title>

    <meta name="description" content="Java Swing 之JTable及其简单的用法 我们都知道JTable需要使用一个Model配合才能更好地发挥其作用.而使用Model有好多种方法,但是难易程度却大大不同,比如说我们使用AbstractTableModel接口要实现里面的好多方法,相对于这一点,使用DefaulttableModel 就可以大大而简化我们的工作量,我们只需要实现自己需要的方法就可以了.下面是一个简单的使用案例: package UsefulKnowledge; import java.awt.BorderLayout; import java.awt.Cont">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java Swing 之JTable及其简单的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们都知道JTable需要使用一个Model配合才能更好地发挥其作用。而使用Model有好多种方法，但是难易程度却大大不同，比如说我们使用AbstractTableModel接口要实现里面的好多方法，相对于这一点，使用DefaulttableModel 就可以大大而简化我们的工作量，我们只需要实现自己需要的方法就可以了。下面是一个简单的使用案例：</p>
<pre><code>package UsefulKnowledge;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.util.Vector;

import javafx.stage.WindowEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.DefaultTableModel;

public class JTableTest implements TableModelListener{

    JTable table=null;
    MyTable my=null;
    public JTableTest(){
        JFrame frame=new JFrame();
        my=new MyTable();
        my.addTableModelListener(this);
        table=new JTable(my);
        table.setPreferredScrollableViewportSize(new Dimension(400,80));
        JScrollPane s=new JScrollPane(table);
        Container container=frame.getContentPane();
        container.add(s,BorderLayout.CENTER);
        frame.setTitle("Add_Remove_cells");
        frame.pack();
        frame.setVisible(true);
        frame.addWindowListener(new WindowAdapter(){
            public void windowClosing(WindowEvent e){
                System.exit(0);
            }
        });
    }

    public static void main(String[] args) {
        // TODO Auto-generated method stub
        new JTableTest();
    }

    /**
     * 处理边个变化的事件函数
     */
    @Override
    public void tableChanged(TableModelEvent e) {
        // TODO Auto-generated method stub
        int row=e.getFirstRow();
        int grade1=((Integer)(my.getValueAt(row, 1))).intValue();
        int grade2=((Integer)(my.getValueAt(row, 2))).intValue();
        int total=grade1+grade2;
        my.mySetValueAt(new Integer(total), row, 3);
        table.repaint();
    }

    /**
     * 使用此内部类来创建一个表格
     * @author Administrator
     *
     */
    class MyTable extends AbstractTableModel{

        Object[][]p=
            {
                {"Tom",new Integer(91),new Integer(1949),new Integer(1910)},
                {"Jack",new Integer(82),new Integer(1969),new Integer(1510)},
                {"Maria",new Integer(47),new Integer(1957),new Integer(1040)},
                {"Jane",new Integer(61),new Integer(1957),new Integer(1180)},
                {"Biao",new Integer(90),new Integer(1987),new Integer(1770)}
                    };
        String[] names={"Name","Age","Birthday","Salary"};

        @Override
        public int getRowCount() {
            // TODO Auto-generated method stub
            return p.length;
        }

        @Override
        public int getColumnCount() {
            // TODO Auto-generated method stub
            return names.length;
        }

        @Override
        public Object getValueAt(int rowIndex, int columnIndex) {
            // TODO Auto-generated method stub
            return p[rowIndex][columnIndex];
        }

        public String geColumnName(int col){
            return names[col];
        }

        public Class getColumnClass(int c){
            return getValueAt(0,c).getClass();
        }

        public boolean isCellEditable(int row,int column){
            return true;
        }

        public void setValueAt(Object value,int row,int column){
            p[row][column]=value;
            fireTableCellUpdated(row, column);
        }

        public void mySetValueAt(Object value,int row,int column){
            p[row][column]=value;
        }
    }

}
</code></pre>
<p>我们使用tableChange方法来实现对表格内容改变的侦听。只需要实现相关的方法就可以实现对表格的操作咯。 <br />
那么赶紧试试吧。</p>
<p>第二部分：实现对表格内容的增删改 <br />
（1）增加行：DefaultModel.addRow(new Vector);//我们可以在Vector内添加具体的内容 <br />
（2）删除行：</p>
<pre><code>int rowCount=defaultModel.getRowCount()-1;
if(rowCount&gt;=0){
    defaultModel.removeRow(rowCount);
    defaultModel.setRowCount(rowCount);
}
table.revalidate();//最后这一个方法一定不要忘记，否则可能导致表格内容没有更新。</code></pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEwMjYyMTA3MTQyOTQ=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 06:06:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/swing/" title="swing">swing</a>, <a href="https://www.iamivan.net/tag/jtable/" title="jtable">jtable</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java Swing 之JTable及其简单的用法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M942Pkb.html" rel="bookmark">模拟java&period;util&period;Collection一些简单的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/* 需求:模拟java.util.Collection一些简单的用法!   注意:java虚拟机中并没有泛型类型的对象.泛型是通过编译器执行一个被称为类型擦除的前段转换来实现的. 1)用泛型的原生类型替代泛型. 原生类型是泛型中去掉尖括号及其中的类型参数的类或接口.泛型中所有对类型变量的引用都替换为类型变量的最近上限类型, 如对于Cage&lt;T extends Animal&gt;, T的引用将用Animal替换,而对于Cage&lt;T&gt;, T 的引用将用Object替换.   2) */			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2w15z.html" rel="bookmark">Java中BigDecimal类的简单用法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Java中BigDecimal类的简单用法,是Java程序设计中非常实用的技巧,分享给大家供大家参考.具体用法分析如下: 一般来说,一提到Java里面的商业计算,我们都知道不能用float和double,因为他们无法进行精确计算.但是Java的设计者给编程人员提供了一个很有用的类BigDecimal,他可以完善float和double类无法进行精确计算的缺憾.BigDecimal类位于java.maths类包下.首先我们来看下如何构造一个BigDecimal对象.它的构造函数很多,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvooNM.html" rel="bookmark">方法-java swing中的JTable问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java swing中的JTable问题 我的问题是这样的: 我想在这个界面中同时实现增删改查的功能,现在还差改的功能. 我想在JTable中双击某个单元格,修改某个值后以实现改的功能, 现在我没法把修改后的某条通讯录信息重新写入文件,写入文件的方法是用object流, 我想问这该怎么实现 先谢谢各位大神了!! 解决方案 JTable本来就可以编辑的,如果不想编辑可以这样来实现 不想改JTABLE内的内容,先这样做了 jTable = new JTable(int rowData, i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4PYVp.html" rel="bookmark">java Swing列表框和组合框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列表框和组合框在Swing中工作就像它们在老的AWT中工作一样,但如果我们需要它,它们同样被增加功能.另外,它也更加的方便易用.例如,JList中有一个显示String数组的构建器(奇怪的是同样的功能在JComboBox中无效!).下面的例子显示了它们基本的用法.   //: ListCombo.java // List boxes &amp; Combo boxes package c13.swing; import java.awt.*; import java.awt.event.*; impor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAlwrb.html" rel="bookmark">可视化Swing中JTable控件绑定SQL数据源的两种方法深入解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是对可视化Swing中JTable控件绑定SQL数据源的两种方法进行了详细的分析介绍,需要的朋友可以过来参考一下   在 MyEclipse 的可视化 Swing 中,有 JTable 控件. JTable 用来显示和编辑常规二维单元表. 那么,如何将 数据库SQL中的数据绑定至JTable中呢? 在这里,提供两种方法.JTable的构造方法通过查阅Java的API,可以可以得到JTable的两个重要的构造方法:JTable(Object[][] rowData, Object[] colu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjq99p.html" rel="bookmark">java swing常用代码片段</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java swing 常用代码片段: (1)复制全部 Java代码   JButton copyAll=new JButton(&quot;复制全部&quot;);               copyAll.addActionListener(new ActionListener() {                   @Override                   public void actionPerformed(ActionEvent e) {                   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYdElb.html" rel="bookmark">新手入门：Java Swing的基础知识全接触</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言: 当我们学习过了java中的基本语法,并且熟悉java的面向对象基础以后,我们就可以开始简单的Swing程序的设计,用过Vb的朋友可能会被它的简单的设计用户界面方法所吸引,只需要拖几个控件到窗体上,为每个空件编写event就可以简单的实现界面设计.但是强大的java也不比vb逊色.同样可以设计出精美的界面. 2.Swing概述: 当java1.0刚刚出现时还没有swing,当时的GUI基本编程库,sun取名叫AWT(Abstract Window Tookit),基本AWT库处理用户界			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn6eKp.html" rel="bookmark">使用Java Swing 创建一个XML编辑器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|创建 我想您一定对XML有所了解,说不定您现在还跃跃欲试想写一段XML文本呢,可是现在能找到的跨平台的.免费的XML编辑器太少了.所以在本文中,我想介绍一下或者说带您一步一步的开发一个简单的XML编辑器,当然我们要用到一些最常见的Java 2 Swing组件,不过这些都是免费的,有些是JDK中的,有些是可以从网上下载的.我想通过本文,你就可以创建一个属于你自己的XML编辑器. 先让我介绍一下本文辑写的思路.首先我想简要的讨论一下XML和为什么树型结构比较适合用来显示XML,然后我们来看一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b26B3b.html" rel="bookmark">教您如何利用Java Swing实现游戏开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java咖啡馆已经开张不少时日了,如果你已经喜欢上了Java这杯咖啡的味道,那么记得常来哦.这一次,我们为大家准备了一大杯香浓的咖啡--将以开发一个&quot;连连看&quot;游戏为蓝本,和大家共同学习Java中Swing的用法,当你细心品味这杯咖啡后,你会发现,不但Java这杯咖啡还别有一番风味,而且还学会了专业游戏的开发方法,真是两全其美! 为了让大家先睹为快,下图便是游戏的截图.大家可以下载游戏试玩(下载游戏程序:下载源文件),然后在命令行方式下使用java -jar kyodai.jar来运行.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEWL6p.html" rel="bookmark" class="title">Castle IOC容器内幕故事（上）</a>
					<div>
						主要内容 1．WindsorContainer分析 2．MicroKernel分析 3．注册组件流程 一．WindsorContainer分析 WindsorContainer是Castle的IOC容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmG03b.html" rel="bookmark" class="title">Windows Xp下硬盘安装Win7系统图文教程</a>
					<div>
						1.准备工具.首先当然是win7的镜像文件.(温馨提示:请选择官方简体中文版,虽然其它版本功能多,不过远没有这个纯净,至于后期用到的软件,你喜欢什么可以自己再装,下载地址,由于时间关系,不予以提供,请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBYnKz.html" rel="bookmark" class="title">Photoshop临摹一幅梦幻的星空海报</a>
					<div>
						临摹是学习的最好方法.不过临摹之前,自己要仔细观察,并把作品分解:然后按照自己的喜欢寻找类似素材:再从背景开始慢慢搭建即可. 最终效果 下面,看看我们的对比图,左边为原图,右边为我们的临摹效果. [1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqGxRz.html" rel="bookmark" class="title">PHP判断文件是否存在</a>
					<div>
						PHP判断文件是否存在,可使用如下代码: //判断远程文件是否存在   function remote_file_exists($url) {       $executeTime = ini_get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbED9Zz.html" rel="bookmark" class="title">网页中的保存和取消按钮设计方法探讨</a>
					<div>
						之前在一个web系统的设计中,和另一个设计师讨论,&quot;保存&quot;和&quot;取消&quot;按钮该怎么设计.我的观点是,保存是比取消更常用的按钮,也是用户的主要目的(用户不会为了取消来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9KOgz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;电商圈&rdquo;SEO大赛准备工作 写给新手</a>
					<div>
						很多站长朋友这两天肯定在关注有关电商圈大赛,丰厚的奖金也吸引了许多新手站长的参与,更重要的是很多人希望通过此次大赛实战检验下个人的SEO能力.本人也就属于后者中的一个. 好了,闲话不多说,本文将重点为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4x07p.html" rel="bookmark" class="title">在SQL Server 2005中使用synonyms的优缺点</a>
					<div>
						问题提出 在我的新工作中,我面临着一个问题,在product数据库中把创建的表进行归档,因为随着数据库的增 长,现在需要把它们移走.同时,这些归档的表被几项工作使用,而且它还在应用程序的代码中被调用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PaX7M.html" rel="bookmark" class="title">C&num;事件委托和观察者模式的比较</a>
					<div>
						看了C#的事件,发觉跟学java时见到的观察者模式相似,网上搜了一下,有总结的帖 子,转载如下 namespace MyCollections { using System.Collections;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRrZDz.html" rel="bookmark" class="title">Fireworks网上电影发布实例教学</a>
					<div>
						  在网页中插入电影的方式有2种,一种是不带播放器界面,另外一种是带有播放器界面的,这两种方式的发布都不要复杂的程序代码,更不需要深奥的程序设计,以下是Fireworks网上电影发布实例按的步骤你能在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd75Y1M.html" rel="bookmark" class="title">Excel实现部分汇总和整体汇总</a>
					<div>
						Excel实现部分汇总和整体汇总 本Excel教程要实现在excel表格中每21行有数据小汇总,最后有每列数据的大汇总.头大了吧?下面是方法: 1. 在数据表的最后一列加多一个辅助列,给辅助列取个名字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxBV0b.html" rel="bookmark" class="title">php中三元运算符用法</a>
					<div>
						 语法:条件 ? 结果1 : 结果2 说明:问号前面的位置是判断的条件,如果满足条件时结果1,不满足时结果2.    代码如下   &lt;?PHP $id = isset($_GET['id'])  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2qZkb.html" rel="bookmark" class="title">主板点不亮怎么维修</a>
					<div>
						  主板点不亮的维修方法: 实例1.一PCI1600-F主板不亮.首先进行目视检查,发现电源控制IC U24(AIC1569)表面有烧毁的痕迹,焊下U24,检查外围电路未见异常.更换U24后该板恢复正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7kR6M.html" rel="bookmark" class="title">WPS模板助你成为职业达人</a>
					<div>
						在企业从事行政.人力管理等相关工作的员工,经常要被繁琐的文件制作烦身,&quot;公司的名片制作.合同模板的统一,以及一些活动策划文案都要自己来处理,&quot;在一家动画制作公司从事行政工作的小希说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYXNjM.html" rel="bookmark" class="title">Win8系统如何还原注册表有哪些方法</a>
					<div>
						  如果备份出来的注册表是.reg格式,那么可以直接双击执行即可还原. 如果是使用如360安全卫士等软件进行备份,那么可以通过这些软件自带功能进行还原注册表.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGlBab.html" rel="bookmark" class="title">win7系统如何打开PDF文件弹出数字越界</a>
					<div>
						  一.可能是你的PDF文件损坏了. 要么就是PDF软件损坏了.你可以先把PDF软件卸载,然后重装一下.然后再打开这个PDF文件试试,如果还是出现同样的文件,那就说明这个PDF文件损坏了. 二. 不少 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwZxGp.html" rel="bookmark" class="title">微信抢红包神器有哪些</a>
					<div>
						  你以为整天盯着手机就能抢到红包吗?你以为网速快就能保证红包不被别人抢走吗?孩子,Too young,Too simple,虽说为了抢个红包耽误了工作和生活有些得不偿失,但小编教你的方法可就不一样了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaxoQM.html" rel="bookmark" class="title">浅谈百度domain和link命令</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 当我们用domain命令在百度进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZlXOb.html" rel="bookmark" class="title">【原创】GCC选项-g和-ggdb的区别</a>
					<div>
						很多人不清楚 gcc 编译选项 -g 和 -ggdb 的区别是什么,这里根据 stackoverflow 上的一个帖子,以及相关手册上的内容进行解释说明. Debugging-Options of G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3XrJz.html" rel="bookmark" class="title">netty  转发消息-netty服务器如何转发客户端消息&quest;</a>
					<div>
						问题描述 netty服务器如何转发客户端消息? 我用map保存客户端的channel,遍历map --&gt; channel.writeAndFlush(**),客户端收不到啊 哪里出了问题吗 还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK6AEb.html" rel="bookmark" class="title">ORACLE ORA-01653&colon; unable to extend table 的错误</a>
					<div>
						ORACLE ORA-01653: unable to extend table 的错误 今天用PL SQL Developer往oracle数据库中导入数据时,突然报错,只能终止,错误的具体内容如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYQ5Gp.html" rel="bookmark" class="title">MySql 5&period;7&period;14 服务没有报告任何错误的解决方法&lpar;推荐&rpar;&lowbar;Mysql</a>
					<div>
						参照网上MySql 5.6的安装步骤,安装MySql服务后,使用net start mysql命令启动服务时,报错: MySQL 服务正在启动 .MySQL 服务无法启动. 服务没有报告任何错误. 请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKQLAz.html" rel="bookmark" class="title">ffmpeg处理RTMP流媒体的命令和发送流媒体的命令（UDP，RTP，RTMP）</a>
					<div>
						将文件当做直播送至live ffmpeg -re -i localFile.mp4 -c copy -f flv rtmp://server/live/streamName     re限制输出速率, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeoa5b.html" rel="bookmark" class="title">网页采集-求c&num;用webbrowser采集网页上的动态内容</a>
					<div>
						问题描述 求c#用webbrowser采集网页上的动态内容 求c#用webbrowser采集网页上的动态内容采集到EXCEL上,小弟新手,麻烦大大可以给点思路,或者代码哈,不胜感激 解决方案 http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rg7ap.html" rel="bookmark" class="title">我用3DES加密后怎么样才能得到16位的密文</a>
					<div>
						问题描述 明文:12345678秘钥:12345678909876543212345678909876进过计算出来的密文:iGNoZSrV2gnYK7x4ogdzdQ==我现在想让这个密文显示成由0到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nPdAz.html" rel="bookmark" class="title">Spring整合Quartz 疑问</a>
					<div>
						问题描述 spring配置:&lt;beanid=&quot;workLoadSchedule&quot;class=&quot;org.springframework.scheduling.quar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x17db.html" rel="bookmark" class="title">狗日的语信手机--W808Android手机是垃圾中的战斗机</a>
					<div>
						           语信W808android手机真是垃圾中的战斗机,笔者直列以下几条: 1.强制下载推送APK,不点击不消失,一点击就下载: 2.有时WIFI开的时候会偷偷下载很多APK,下载好后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKm9Lp.html" rel="bookmark" class="title">刚开始学java，试了几个小程序总提示出错，java有毛病吗</a>
					<div>
						问题描述 我再论坛上找了几个小程序复制好了,javac通过了,一执行就提示出错怎么回事啊?提示:Exceptioninthread&quot;main&quot;java.lang.Unsupport ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeVN8M.html" rel="bookmark" class="title">c语言-如何在克鲁斯卡尔中加入并查集的运用</a>
					<div>
						问题描述 如何在克鲁斯卡尔中加入并查集的运用 在运用克鲁斯卡尔算法求最小生成树时如何将并查集的相关内容也运用进去?第一次发问,请大家给力点! 解决方案 http://www.cnblogs.com/h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5NEEp.html" rel="bookmark" class="title">javascript的一个问题</a>
					<div>
						问题描述 javascript的一个问题 40C &lt;script&gt; var test222 =document.querySelectorAll(&quot;&quot;#test&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RnXaz.html" rel="bookmark" class="title">《SAP入门经典（第4版&bull;修订版）》&mdash;&mdash;导读</a>
					<div>
						前言 接到要我升级&lt;SAP入门经典&gt;的邀请时,我真是感到兴奋不已!过去几年中SAP领域和我自己的生活都发生了天翻地覆的变化,我非常高兴能够与现在以及过去的SAP从业人员分享这些变化.与此同 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
